<?
include("../fnc.php");
enlinea_alumno();

if(!$idev){
  alert("Parámetros incorrectos","frm_login.php");
}

$id_ev=dec($idev);
$qev=mysql_query("select * from evaluaciones where id = $id_ev");
if(mysql_num_rows($qev)==0){
  alert("La evaluación no existe","frm_login.php");
}else{
  $iev=mysql_fetch_array($qev);
}

$qverifica=mysql_query("select *
                        from cursos_grados
                        where curso = '{$iev[curso]}'
                        and grado = ".ggradoalumno($uuser));

if(mysql_num_rows($qverifica)==0){
  alert("Usted no tiene permisos para ver esta evaluación","frm_login.php");
}

$asar="S";

switch($asar){
case "S":
$cnt_preguntas=-1;
$total_preguntas=0;
$total_respondidas=0;
unset($lst_preguntas);
unset($lst_tipo);

$qpdrespond=mysql_query("select * from respuestas_d
                         where evaluacion='$id_ev'
                         and alumno='$uuser'");
$lst="(0";
while($ipdrespond=mysql_fetch_array($qpdrespond)){
 $lst.=",{$ipdrespond[pregunta]}";
 $total_respondidas++;
}
$lst.=")";

//echo "ID de directas contestadas".$lst."<br>";

$qprd=mysql_query("select id, pregunta, 'D' as tipo
                   from ev_d_preguntas
                   where evaluacion = $id_ev
                   and id not in $lst");

while($iprd=mysql_fetch_array($qprd)){
 $cnt_preguntas++;
 $lst_preguntas[$cnt_preguntas]=$iprd[id];
 $lst_tipo[$cnt_preguntas]="D";
}

$qpmrespond=mysql_query("select * from respuestas_m
                         where evaluacion = '$id_ev'
                         and alumno='$uuser'");

$lst="(0";
while($ipmrespond=mysql_fetch_array($qpmrespond)){
 $lst.=",{$ipmrespond[pregunta]}";
 $total_respondidas++;
}
$lst.=")";
//echo "ID Multiples contestadas".$lst."<br>";

$qprm=mysql_query("select id, pregunta, 'M' as tipo
                   from ev_m_preguntas
                   where evaluacion = $id_ev
                   and id not in $lst");

while($iprm=mysql_fetch_array($qprm)){
 $cnt_preguntas++;
 $lst_preguntas[$cnt_preguntas]=$iprm[id];
 $lst_tipo[$cnt_preguntas]="M";
}

if($cnt_preguntas<0){
  // dependiendo del tipo de ver resultados hay que cambiar xx.php
  $qnotad=mysql_query("select sum(nota) as nota, 'D' as tipo
                       from respuestas_d where alumno='$uuser' and evaluacion = '$id_ev'
                       group by tipo");

  $nota_d=0;
  $nota_m=0;
  if(mysql_num_rows($qnotad)>0){
   $inotad=mysql_fetch_array($qnotad);
   $nota_d=$inotad[nota];
  }

  $qnotam=mysql_query("select sum(nota) as nota, 'M' as tipo
                       from respuestas_m where alumno='$uuser' and evaluacion = '$id_ev'
                       group by tipo");
  if(mysql_num_rows($qnotam)>0){
   $inotam=mysql_fetch_array($qnotam);
   $nota_m=$inotam[nota];
  }
  $nota_total=$nota_d+$nota_m;

  //OJO-> si el numero de oportunidades es mayor que 1
  //establecer el proceso para responder de nuevo

  switch($iev[mostrar_resultados]){
    case "caducar": $link_redireccion="evaluaciones.php?cid=".enc($iev[curso]);
    break;
    case "nunca": $link_redireccion="evaluaciones.php?cid=".enc($iev[curso]);
    break;
    case "terminar": $link_redireccion="frm_resultados.php?ide=$idev";
  }

  alert("Terminó de responder las preguntas\\nNOTA: $nota_total puntos","$link_redireccion");
}


$n_prg_azar=rand(0,$cnt_preguntas);
//echo "# $n_prg_azar Pregunta al azar: {$lst_preguntas[$n_prg_azar]} del tipo: {$lst_tipo[$n_prg_azar]}";
$total_preguntas=$cnt_preguntas+$total_respondidas+1;
$prog=round($total_respondidas/$total_preguntas*100,0);

if($lst_tipo[$n_prg_azar]=="D"){
  header("Location: frm_dprg.php?idev=$idev&idp=".enc($lst_preguntas[$n_prg_azar])."&prog=$prog");
}

if($lst_tipo[$n_prg_azar]=="M"){
//  echo "frm_mprg.php?idev=$idev&idp=".enc($lst_preguntas[$n_prg_azar])."&prog=$prog";
  header("Location: frm_mprg.php?idev=$idev&idp=".enc($lst_preguntas[$n_prg_azar])."&prog=$prog");
}

break; // fin de las preguntas al azar
}
?>